Package org.apache.solr.client.solrj.impl

## Class AuthenticationStoreHolder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.AuthenticationStoreHolder

All Implemented Interfaces:
  `org.eclipse.jetty.client.api.AuthenticationStore`

    public class AuthenticationStoreHolder
    extends Object
    implements org.eclipse.jetty.client.api.AuthenticationStore

### Constructor Summary

Constructors
`AuthenticationStoreHolder()`
`AuthenticationStoreHolder​(org.eclipse.jetty.client.api.AuthenticationStore authenticationStore)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAuthentication​(org.eclipse.jetty.client.api.Authentication authentication)`
`void` `addAuthenticationResult​(org.eclipse.jetty.client.api.Authentication.Result result)`
`void` `clearAuthenticationResults()`
`void` `clearAuthentications()`
`org.eclipse.jetty.client.api.Authentication` `findAuthentication​(String type, URI uri, String realm)`
`org.eclipse.jetty.client.api.Authentication.Result` `findAuthenticationResult​(URI uri)`
`void` `removeAuthentication​(org.eclipse.jetty.client.api.Authentication authentication)`
`void` `removeAuthenticationResult​(org.eclipse.jetty.client.api.Authentication.Result result)`
`void` `updateAuthenticationStore​(org.eclipse.jetty.client.api.AuthenticationStore authenticationStore)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.client.api.AuthenticationStore

`hasAuthenticationResults`

### Constructor Detail

#### AuthenticationStoreHolder

    public AuthenticationStoreHolder()

#### AuthenticationStoreHolder

    public AuthenticationStoreHolder​(org.eclipse.jetty.client.api.AuthenticationStore authenticationStore)

### Method Detail

#### updateAuthenticationStore

    public void updateAuthenticationStore​(org.eclipse.jetty.client.api.AuthenticationStore authenticationStore)

#### addAuthentication

    public void addAuthentication​(org.eclipse.jetty.client.api.Authentication authentication)

Specified by:
  `addAuthentication` in interface `org.eclipse.jetty.client.api.AuthenticationStore`

#### removeAuthentication

    public void removeAuthentication​(org.eclipse.jetty.client.api.Authentication authentication)

Specified by:
  `removeAuthentication` in interface `org.eclipse.jetty.client.api.AuthenticationStore`

#### clearAuthentications

    public void clearAuthentications()

Specified by:
  `clearAuthentications` in interface `org.eclipse.jetty.client.api.AuthenticationStore`

#### findAuthentication

    public org.eclipse.jetty.client.api.Authentication findAuthentication​(String type,
                                                                          URI uri,
                                                                          String realm)

Specified by:
  `findAuthentication` in interface `org.eclipse.jetty.client.api.AuthenticationStore`

#### addAuthenticationResult

    public void addAuthenticationResult​(org.eclipse.jetty.client.api.Authentication.Result result)

Specified by:
  `addAuthenticationResult` in interface `org.eclipse.jetty.client.api.AuthenticationStore`

#### removeAuthenticationResult

    public void removeAuthenticationResult​(org.eclipse.jetty.client.api.Authentication.Result result)

Specified by:
  `removeAuthenticationResult` in interface `org.eclipse.jetty.client.api.AuthenticationStore`

#### clearAuthenticationResults

    public void clearAuthenticationResults()

Specified by:
  `clearAuthenticationResults` in interface `org.eclipse.jetty.client.api.AuthenticationStore`

#### findAuthenticationResult

    public org.eclipse.jetty.client.api.Authentication.Result findAuthenticationResult​(URI uri)

Specified by:
  `findAuthenticationResult` in interface `org.eclipse.jetty.client.api.AuthenticationStore`